python-ldb-dev_1.2.3-1_amd64.deb


Advertisement

Description

python-ldb-dev - LDB Python bindings - development files

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-ldb-dev
Package version 1.2.3
Package release 1
Package architecture amd64
Package type deb
Installed size 30 B
Download size 4.95 KB
Official Mirror archive.ubuntu.com
ldb is a LDAP-like embedded database built on top of TDB.
It is a fast database with an LDAP-like API designed
to be used within an application. In some ways it can be seen as a
intermediate solution between key-value pair databases and a real LDAP
database.
This package contains the development files for the Python bindings.

Alternatives

Package Version Architecture Repository
python-ldb-dev_1.2.3-1ubuntu0.1_amd64.deb 1.2.3 amd64 Ubuntu Updates Main
python-ldb-dev_1.2.3-1ubuntu0.1_i386.deb 1.2.3 i386 Ubuntu Updates Main
python-ldb-dev_1.2.3-1_i386.deb 1.2.3 i386 Ubuntu Main
python-ldb-dev - - -

Requires

Name Value
libc6-dev -
libldb-dev -
pkg-config -
python-ldb = 2:1.2.3-1

Download

Type URL
Binary Package python-ldb-dev_1.2.3-1_amd64.deb
Source Package ldb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-ldb-dev deb package:
    # sudo apt-get install python-ldb-dev

Files

Path
/usr/include/pyldb.h
/usr/lib/x86_64-linux-gnu/libpyldb-util.so
/usr/lib/x86_64-linux-gnu/pkgconfig/pyldb-util.pc
/usr/share/doc/python-ldb-dev/changelog.Debian.gz
/usr/share/doc/python-ldb-dev/copyright
/usr/share/lintian/overrides/python-ldb-dev

Changelog

2018-01-11 - Mathieu Parent <sathieu@debian.org>
ldb (2:1.2.3-1) unstable; urgency=medium
* New upstream version 1.2.3
- Update symbols (no change)
* Standards-Version: 4.1.3, no change
* Repository moved to salsa: Update Vcs-* fields
* Bumping debhelper compat from 9 to 11
2017-10-26 - Mathieu Parent <sathieu@debian.org>
ldb (2:1.2.2-2) unstable; urgency=medium
* Upload to sid
2017-10-03 - Mathieu Parent <sathieu@debian.org>
ldb (2:1.2.2-1) experimental; urgency=medium
* New upstream version 1.2.2
- Update symbols
- Bump build-dependencies to talloc 2.1.10, tdb 1.3.15 and tevent 0.9.33
- Add Breaks to incompatible packages
- Add Build-Depends: libcmocka-dev (>= 1.1.1~)
* Use https form of the copyright-format URL (Debian Policy 4.0.0)
* Standards-Version: 4.0.0
2017-06-19 - Mathieu Parent <sathieu@debian.org>
ldb (2:1.1.29-2) unstable; urgency=medium
* Upload to unstable
2017-06-10 - Mathieu Parent <sathieu@debian.org>
ldb (2:1.1.29-1) experimental; urgency=medium
[ Jelmer Vernooij ]
* New upstream release.
- Update symbols
- Bump tdb and tevent Build-depends (resp. 1.3.12 and 0.9.31)
[ Mathieu Parent ]
* gbp.conf: pristine-tar = True
* New upstream version 1.1.29
* Thanks lintian:
- Debhelper compat 9
- Fix missing-build-dependency-for-dh_-command dh_python2 => dh-python
+ Update symbols, again
- Remove unused overrides: ldb-tools/python-ldb:
binary-or-shlib-defines-rpath * /usr/lib/ldb
- Remove empty libldb1.postinst
- Hardening: Add DEB_BUILD_MAINT_OPTIONS = hardening=+all and
DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
- Add override for python-ldb-dev: wrong-section-according-to-package-name
- Add missing header and fix d/copyright
- Mark python-ldb Multi-Arch: same
2016-10-10 - Mathieu Parent <sathieu@debian.org>
ldb (2:1.1.27-1) unstable; urgency=medium
* New upstream version.
- Bump Buid-Depends: talloc 2.1.8, tdb 1.3.10 and tevent 0.9.29
- Update symbols
* Use secure Vcs-* uris (Closes: #805719)
* Add me to uploaders
* Bump standards version to 3.9.8 (no changes)
* Use automatic debug packages (-dbgsym)
* Mark libldb-dev and python-ldb-dev "Multi-Arch: same"
2016-02-26 - Jelmer Vernooij <jelmer@debian.org>
ldb (2:1.1.26-1) unstable; urgency=medium
* New upstream version.
+ Fixes compatiblity with s390. Closes: #808769
+ Depend on tevent 0.9.27.
2015-12-13 - Jelmer Vernooij <jelmer@debian.org>
ldb (2:1.1.24-1) unstable; urgency=high
* Drop '-b unstable' flag to Vcs-Git.
* New upstream release. Fixes:
- CVE-2015-3223: Denial of Service.
- CVE-2015-5330: Remote memory read.
2015-11-08 - Jelmer Vernooij <jelmer@debian.org>
ldb (2:1.1.23-1) unstable; urgency=medium
* New upstream version.
2015-09-19 - Jelmer Vernooij <jelmer@debian.org>
ldb (2:1.1.21-1) unstable; urgency=medium
* New upstream release.
* Drop patch 03_revert_ldflags_atend: applied upstream.

See Also

Package Description
python-ldb_1.2.3-1_amd64.deb Python bindings for LDB
python-libvirt_4.0.0-1_amd64.deb libvirt Python bindings
python-libxml2_2.9.4+dfsg1-6.1ubuntu1_amd64.deb Python bindings for the GNOME XML library
python-libxslt1_1.1.29-5_amd64.deb Python bindings for libxslt1
python-linecache2_1.0.0-3_all.deb backports of the linecache module - Python 2.7
python-lockfile-doc_0.12.2-2_all.deb file locking library for Python — documentation
python-lockfile_0.12.2-2_all.deb file locking library for Python — Python 2 library
python-logutils-doc_0.3.3-5_all.deb handlers for the Python standard library's logging package - docs
python-logutils_0.3.3-5_all.deb handlers for the Python standard library's logging package - Python 2.x
python-lxml-doc_4.2.1-1_all.deb pythonic binding for the libxml2 and libxslt libraries (documentation)
python-lxml_4.2.1-1_amd64.deb pythonic binding for the libxml2 and libxslt libraries
python-magnumclient-doc_2.8.0-0ubuntu1_all.deb client library for Magnum API - doc
python-magnumclient_2.8.0-0ubuntu1_all.deb client library for Magnum API - Python 2.x
python-mako-doc_1.0.7+ds1-1_all.deb documentation for the Mako Python library
python-mako_1.0.7+ds1-1_all.deb fast and lightweight templating for the Python platform
Advertisement
Advertisement